Bug 1816832 - No '/build/bin/opm' found in quay.io/operator-framework/upstream-registry-builder image
Summary: No '/build/bin/opm' found in quay.io/operator-framework/upstream-registry-bui...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Nick Hale
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1816535
TreeView+ depends on / blocked
 
Reported: 2020-03-24 20:13 UTC by Nick Hale
Modified: 2020-08-04 18:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Dockerfiles generated by opm to build index image attempted to copy the opm binary from the wrong location in the builder image. Consequence: `opm index add` would fail with an error indicating that it cannot find the opm binary. Fix: Correct the directory generated Dockerfiles copy the opm binary from. Result: The opm binary is successfully copied from the builder image during `opm index add`.
Clone Of: 1816535
Environment:
Last Closed: 2020-08-04 18:07:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-registry pull 173 None closed Bug 1816832: fix(index): copy correct opm bin builder path 2020-07-07 09:47:32 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-08-04 18:07:06 UTC

Comment 9 Jian Zhang 2020-03-26 05:27:58 UTC
Hi, Nick

Thanks! It works well, verify it.

mac:operator-registry jianzhang$ ./opm index add -c docker -b quay.io/jiazha/learn-operator-bundle:v0.0.3 -t quay.io/jiazha/learn-operator-index:v0.0.3
INFO[0000] building the index                            bundles="[quay.io/jiazha/learn-operator-bundle:v0.0.3]"
INFO[0000] running docker pull                           img="quay.io/jiazha/learn-operator-bundle:v0.0.3"
INFO[0006] running docker save                           img="quay.io/jiazha/learn-operator-bundle:v0.0.3"
INFO[0006] loading Bundle quay.io/jiazha/learn-operator-bundle:v0.0.3  img="quay.io/jiazha/learn-operator-bundle:v0.0.3"
INFO[0006] found annotations file searching for csv      dir=bundle_tmp858859360 file=bundle_tmp858859360/metadata load=annotations
INFO[0006] found csv, loading bundle                     dir=bundle_tmp858859360 file=bundle_tmp858859360/manifests load=bundle
INFO[0006] loading bundle file                           dir=bundle_tmp858859360/manifests file=learn-operator.v0.0.3.clusterserviceversion.yaml load=bundle
INFO[0006] loading bundle file                           dir=bundle_tmp858859360/manifests file=learn.crd.yaml load=bundle
INFO[0006] Generating dockerfile                         bundles="[quay.io/jiazha/learn-operator-bundle:v0.0.3]"
INFO[0006] writing dockerfile: index.Dockerfile299733394  bundles="[quay.io/jiazha/learn-operator-bundle:v0.0.3]"
INFO[0006] running docker build                          bundles="[quay.io/jiazha/learn-operator-bundle:v0.0.3]"
INFO[0006] [docker build -f index.Dockerfile299733394 -t quay.io/jiazha/learn-operator-index:v0.0.3 .]  bundles="[quay.io/jiazha/learn-operator-bundle:v0.0.3]"

Comment 11 errata-xmlrpc 2020-08-04 18:07:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5 image release advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.